<?php /* -*- PHP -*- */

require ("library.php.inc");

/* unitary tests */

if ((count ($_SERVER["argv"]) != 2) || (strcmp ($_SERVER["argv"][1], "slave") != 0)) {

    init_hgrepos ();

    require ("../func.php");

    echo "Master process\n";

    passthru ("hg init " . HGREPOS . "/z");

    $fd = fopen (HGREPOS . "/z/.hg/hgrc", "w");

    if (!get_lock ($fd)) exit (1);

    passthru ("php " . $_SERVER["argv"][0] . " slave");

    fclose ($fd);

    if ((preg_match_all ("/get_lock tries \([0-9][0-9]*\)/",
                        file_get_contents (LOGFILE), $tries) == 0) ||
        (count ($tries[0]) != 10))
        exit (1);

} else {

    require ("../func.php");

    echo "Slave process\n";

    $fd = fopen (HGREPOS . "/z/.hg/hgrc", "w");
    if (get_lock ($fd)) exit (1);

}

exit (0);
?>