<?php /* -*- PHP -*- */

define ("LOGFILE", "tmp/logging.log");
define ("LOGLEVEL", 2);

require ("library.php.inc");

/* unitary tests */

$data = do_unit_test ("");

if (file_exists (LOGFILE))
  unlink (LOGFILE);

logging (_LOG_ERROR_, "This is an error message");
logging (_LOG_WARN_, "This is a warning message");
logging (_LOG_DEBUG_, "This is a debug message");

/* unitary checks */

echo "logfile:\n";
if ($fd = fopen (LOGFILE, "r")) {
    echo fread ($fd, $len = filesize (LOGFILE));
    fclose ($fd);
}

if (!file_exists (LOGFILE)) exit (1);
$log = file_get_contents(LOGFILE);
if (preg_match ("/This is an error message/", $log) != 1) exit (1);
if (preg_match ("/This is a warning message/", $log) != 1) exit (1);
if (preg_match ("/This is a debug message/", $log) != 0) exit (1);

exit (0);
?>
